export interface RadioEvents {
    radioChange: CustomEvent<string | undefined>;
}
export declare class RadioElement<T extends string = string> extends HTMLElement {
    #private;
    get value(): T | undefined;
    get name(): string | null;
    get currentButtonElement(): HTMLElement | null;
    setValue(value: T | undefined): void;
    protected connectedCallback(): void;
    protected disconnectedCallback(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'e-radio': RadioElement;
    }
    interface HTMLElementEventMap extends RadioEvents {
    }
}
